#include <stdlib.h>
#include <string.h>

#include "lcd.h"
#include "lcd_draw.h"
#include "valout.h"

// eigene erweiterungen
void lcd_uint16_unit( const uint16_t v, const char unit ) {
    if ( v == 0xffff ) {
        lcd_puts_p( p_off );
    } else {
        char s[6];
        // FIXME: auf uint anpassen.
        valout( v, 6, 3, s );
        lcd_puts(s);
    }
    lcd_putc( unit );
}

void lcd_itoa10(uint8_t c) {
    char itoabuffer[4];
    itoa(c, itoabuffer, 10);
    for ( int i = strlen( itoabuffer ); i < 3; i++ ) {
        lcd_putc(' ');
    }
    lcd_puts(itoabuffer);
}

void lcd_itoa2(uint8_t c) {
    char itoabuffer[9];
    itoa(c, itoabuffer, 2);
    for ( int i = strlen( itoabuffer ); i < 8; i++ ) {
        lcd_putc('0');
    } 
    lcd_puts(itoabuffer);
}
