#ifndef MENU_H
#define MENU_H

typedef void (*VoidFnct) ( const uint8_t v );

void draw_menue(uint8_t pos);

void set_target ( const __attribute__((unused)) uint8_t v );

void config_menue( const __attribute__((unused)) uint8_t v );

void get_target ( const uint8_t v );

void get_config_menue ( const __attribute__((unused)) uint8_t v );

typedef struct MENU {
    void ( *tp )( const uint8_t id );
    int8_t prev;
    int8_t next;
    void ( *fp )( const uint8_t id );
    uint8_t arg;
} MENU_ENTRY; 


extern const MENU_ENTRY menue_b[];

void draw_menue(uint8_t pos);

uint8_t menue_prev( uint8_t pos );
uint8_t menue_next( uint8_t pos );

#endif  // MENU_H
